<template>
  <base-scroll-animation :type="'fade'" :duration="1000" :delay="250">
    <template v-slot:animate>
      <p class="title title:medium text:pink font-black">
        <slot />
      </p>
    </template>
  </base-scroll-animation>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
p {
  text-align: center;
  width: 100%;
  letter-spacing: -1.5px;
  font-size: 3rem;
  @media all and (min-width: 375px) {
    font-size: 3.5rem;
  }
  @media all and (min-width: 414px) {
    font-size: 3.75rem;
  }
  @media all and (min-width: 600px) {
    max-width: 95vw;
    font-size: 5.25rem;
    letter-spacing: -2.1px;
  }
  @media all and (min-width: 1024px) {
    font-size: 6.25rem;
    max-width: 70vw;
    letter-spacing: -3px;
  }
  @media all and (min-width: 1280px) {
    // max-width: 62vw;
    font-size: 6.7rem;
    max-width: 59vw;
  }
  @media all and (min-width: 1920px) {
    // max-width: 50vw;
    font-size: 10rem;
  }
}
</style>
